#include<stdio.h>
#include<stdlib.h>

int main(){
	
	int N,A[N],Q, l, r;
	
	scanf("%d",&N);
	
	for(int i=1;i<=N;i++){
		scanf("%d",&A[i]);
	}
	
	scanf("%d",&Q);
	
	if(N<1 ||Q<1){
		return 0;
	}
	
	for(int i=1;i<=Q;i++){
		
		scanf("%d %d",&l,&r);
		
		int s=0;
		
		int k=l;
		
		while(k<r){
			
			if(A[i]>=A[i+1]){
				s++;
			}
			
			k++;
			
		}

		if(s>=2){
			printf("NE\n");
		}
		
		else printf("DA\n");
	}
}